<?  
include_once '../../sys/inc/start.php';  
include_once '../../sys/inc/compress.php';  
include_once '../../sys/inc/sess.php';  
include_once '../../sys/inc/home.php';  
include_once '../../sys/inc/settings.php';  
include_once '../../sys/inc/db_connect.php';  
include_once '../../sys/inc/ipua.php';  
include_once '../../sys/inc/fnc.php';  
include_once '../../sys/inc/adm_check.php';  
include_once '../../sys/inc/user.php';  
  
$set['title'] = 'Лидеры';  
include_once '../../sys/inc/thead.php';  
title();  
  
if (!isset($user))  
header("location: /index.php?");  
  
err();  
aut();  
  
if (isset($user))  
{  
if (isset($_POST['stav']) && isset($_POST['msg']))  
{  
if ($_POST['stav']==10)  
{  
	$st=10;  
	$tm=$time+86400;  
}  
else if ($_POST['stav']==20)  
{  
	$st=20;  
	$tm=$time+172800;  
}  
else if ($_POST['stav']==30)  
{  
	$st=30;  
	$tm=$time+259200;  
}  
else if ($_POST['stav']==40)  
{  
	$st=40;  
	$tm=$time+345600;  
}  
else if ($_POST['stav']==50)  
{  
	$st=50;  
	$tm=$time+432000;  
}  
else if ($_POST['stav']==60)  
{  
	$st=60;  
	$tm=$time+518400;  
}  
else if ($_POST['stav']==70)  
{  
	$st=70;  
	$tm=$time+604800;  
}  
  
$msg=my_esc($_POST['msg']);  
  
if ($user['money']>=$st)  
{  
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `liders` WHERE `id_user` = '$user[id]'"), 0)==0)  
{  
	mysql_query("INSERT INTO `liders` (`id_user`, `stav`, `msg`, `time`, `time_p`) values('$user[id]', '$st', '".$msg."', '$tm', '$time')");  
}  
else  
{  
	mysql_query("UPDATE `liders` SET `time` = '$tm', `time_p` = '$time', `msg` = '$msg', `stav` = '$st' WHERE `id_user` = '$user[id]'");  
}  
  
mysql_query("UPDATE `user` SET `money` = '".($user['money']-$st)."' WHERE `id` = '$user[id]' LIMIT 1");  
  
$_SESSION['message'] = 'Вы успешно стали лидером';  
header("Location: /user/liders/index.php?ok");  
exit;  
  
}else{  
$err='У вас не достаточно средств';  
}  
}else{  
$err='Поле сообщения не может быть пустым';  
}  
err(); 


?>
<div class="foot">
<img src="/style/icons/str2.gif" alt="*"/> 
<a href="/user/money/">Дополнительные услуги</a> | <b>Стать лидером</b>
</div>

<div class="nav1">
Услуга "Лидеры сайта" позволяет показывать ваш профиль (по очереди с другими профилями дня) на главной странице сайта.
Эта услуга очень полезная и позволяет показывать Вашу анкету на главной странице в разделе "Лидеры сайта" а также на странице "Кто онлайн", это означает что Вас будут замечать разные люди с нашего сайта :) 
Услуга стоит <font color="green"><b>10</b></font> монет за 1 день.
Активируйте "<b>Лидеры дня</b>" и вас обязательно заметят!
</div>
<?
echo '<form class="main" method="post" action="?">
Ставка: <select name="stav">
	<option value="10">10</option>
	<option value="20">20</option>
	<option value="30">30</option>
	<option value="40">40</option>
	<option value="50">50</option>
	<option value="60">60</option>
	<option value="70">70</option>
	</select> монет<br />
Ваш текст(необязательно), реклама и нецензурная лексика запрещена, за нарушение правил аккаунт блокируется:<br/>
<textarea name="msg"></textarea><br />
<input value="Стать лидером" type="submit" />
</form>';

//<?




}




echo '<div class="foot">';
echo '<img src="/style/icons/str2.gif" alt="S"/> <a href="/user/money/">Дополнительные услуги</a> | <b>Стать лидером</b>';
echo '</div>';




include_once '../../sys/inc/tfoot.php';



?>